use crate::utils::bytes::NinBytes;
use crate::utils::sha256::IntoHash256;

#[derive(Clone, Copy, Debug, serde::Serialize, serde::Deserialize)]
#[serde(transparent)]
pub struct CollectionId(pub i64);

impl IntoHash256 for CollectionId {
    fn hash_256(&self) -> super::hash::Hash256 {
        "@collection_".hash_256().chain_hash(&self.0.as_bytes())
    }
}
